/*
 * MessageBox.java
 *
 * Created on October 24, 2003, 1:39 PM
 */

/**
 *
 * @author  renpi yu
 */
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.BorderLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JButton;


public class MessageBox extends JDialog implements ActionListener {
    
    private JLabel message;
    private JButton close;
    
    /** Creates a new instance of MessageBox */
    public MessageBox(JFrame parent, String title, String msg, int width) 
    {
        super(parent, title, true);
        setSize(width, 100);
        setResizable(false);
   
        message = new JLabel(msg, JLabel.CENTER);
        this.getContentPane().add(message, BorderLayout.CENTER);
        
        close = new JButton("OK");
        close.addActionListener(this);
        this.getContentPane().add(close, BorderLayout.SOUTH);
        addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				e.getWindow().setVisible(false);
			}
        });
    }
    
    /** Invoked when an action occurs.
     *
     */
    public void actionPerformed(ActionEvent e) {
        setVisible(false);
    }
    
}
